/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2011. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
dojo.provide("com.acme.providers.script.ScriptBasedDepartmentValueSet");

(function() {
	var doDebug = true;
	var scriptname = "ScriptBasedDepartmentValueSet";

	dojo.declare("com.acme.providers.script.ScriptBasedDepartmentValueSet", null, {

        getValueSet: function(attributeId, workItem, configuration) {
        	debug("- Start");
            var result= [];
            result.push("Development");
            result.push("Sales");
            result.push("Accounting");
            result.push("IT");
            result.push("Production");
            debug("- return results");
            return result;

	    	function debug(display){	    		
	    		if(doDebug){
	        		console.log(scriptname + " " + display);
	    		}
	    	}	    
        }
   });
})();




